<?php

/**
 * @file
 * Administrative page callbacks for the Geared Scrolling module.
 */

/**
 * General configuration form for controlling the Geared Scrolling behaviour.
 */
function geared_scrolling_admin_settings() {
  drupal_add_css(drupal_get_path('module', 'geared_scrolling') . '/css/geared_scrolling.admin.css');

  $form['geared_scrolling_node_type'] = array(
    '#type' => 'select',
    '#title' => t('Node type'),
    '#multiple' => TRUE,
    '#default_value' => variable_get('geared_scrolling_node_type', array()),
    '#options' => node_get_types('names'),
  );
  $form['geared_scrolling_column_count'] = array(
    '#type' => 'select',
    '#title' => t('Number of columns'),
    '#default_value' => variable_get('geared_scrolling_column_count', 1),
    '#options' => range(1, 10),
  );
  $form['selectors'] = array(
    '#type' => 'fieldset',
    '#title' => t('CSS selectors'),
  );
  $form['selectors']['geared_scrolling_container'] = array(
    '#type' => 'textfield',
    '#title' => t('Container selector'),
    '#description' => t('The CSS selector for the column wrapper.'),
    '#default_value' => variable_get('geared_scrolling_container', NULL),
  );
  for ($i = 1; $i <= variable_get('geared_scrolling_column_count', 1) + 1; $i++) {
    $form['selectors']["geared_scrolling_column_$i"] = array(
      '#type' => 'textfield',
      '#title' => t("Column $i selector"),
      '#default_value' => variable_get("geared_scrolling_column_$i", NULL),
      '#size' => 10,
    );
  }

  return system_settings_form($form);
}
